UbuntuUpdates.org

Package "docker.io"

Name: docker.io

Description:

Linux container runtime

Latest version: 20.10.7-0ubuntu1~18.04.1
Release: bionic (18.04)
Level: security
Repository: universe
Homepage: https://www.docker.com/community-edition

Links


Download "docker.io"


Other versions of "docker.io" in Bionic

Repository Area Version
base universe 17.12.1-0ubuntu1
updates universe 20.10.7-0ubuntu1~18.04.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 20.10.7-0ubuntu1~18.04.1 2021-08-05 14:06:18 UTC

  docker.io (20.10.7-0ubuntu1~18.04.1) bionic-security; urgency=medium

  * Backport version 20.10.7-0ubuntu1 from Impish (LP: #1938908).
    - d/control: do not b-d on libbtrfs-dev, it is not available in Bionic.

 -- Lucas Kanashiro <email address hidden> Wed, 04 Aug 2021 16:22:59 -0300

Source diff to previous version

Version: 20.10.2-0ubuntu1~18.04.3 2021-07-26 16:06:22 UTC

  docker.io (20.10.2-0ubuntu1~18.04.3) bionic-security; urgency=medium

  * No change rebuild in -security pocket. (LP: #1937286)

 -- Marc Deslauriers <email address hidden> Fri, 23 Jul 2021 15:36:13 -0400

Source diff to previous version

Version: 19.03.6-0ubuntu1~18.04.2 2020-10-16 21:06:53 UTC

  docker.io (19.03.6-0ubuntu1~18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Sensitive information disclosure
    - debian/patches/CVE-2020-15157.patch: Improve fetch function.
    - CVE-2020-15157

 -- Paulo Flabiano Smorigo <email address hidden> Wed, 14 Oct 2020 16:52:50 +0000

Source diff to previous version
CVE-2020-15157 In containerd (an industry-standard container runtime) before version ...

Version: 18.09.7-0ubuntu1~18.04.4 2019-08-19 15:10:52 UTC

  docker.io (18.09.7-0ubuntu1~18.04.4) bionic-security; urgency=medium

  * SECURITY UPDATE: Double free in docker-credential-helpers library
    - debian/patches/CVE-2019-1020014.patch: Fix a double free in the List
      functions
    - CVE-2019-1020014

 -- Mike Salvatore <email address hidden> Wed, 14 Aug 2019 15:41:23 -0400

Source diff to previous version
CVE-2019-1020014 docker-credential-helpers before 0.6.3 has a double free in the List functions.

Version: 18.09.7-0ubuntu1~18.04.3 2019-07-08 15:08:54 UTC

  docker.io (18.09.7-0ubuntu1~18.04.3) bionic-security; urgency=medium

  * No change rebuild for the -security pocket




About   -   Send Feedback to @ubuntu_updates